## alttab 1.1.0

=== test/Makefile ===
#
# Stub for possible future test facility.
#
# Copyright 2017 Alexander Kulak.
# This file is part of alttab program.
#
# alttab is free software: you can redistribute it and/or modify
# 	it under the terms of the GNU General Public License as published by
# 	the Free Software Foundation, either version 3 of the License, or
# 	(at your option) any later version.
#
# alttab is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with alttab.  If not, see <http://www.gnu.org/licenses/>.
#

FLAGS=-lpng -lX11 -g -O0 -Wall 

all: pngtest

pngtest: pngtest.o ../src/pngd.o
	gcc $(FLAGS) -o pngtest pngtest.o ../src/pngd.o

pngtest.o: pngtest.c
	gcc $(FLAGS) -c pngtest.c

../src/pngd.o: ../src/pngd.c ../src/pngd.h
	gcc $(FLAGS) -o ../src/pngd.o -c ../src/pngd.c

=== debian/changelog ===
alttab (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #861533)

 -- Alexander Kulak <sa-dev@rainbow.by>  Wed, 25 Oct 2017 11:15:28 +0300

=== debian/control ===
Source: alttab
Section: x11
Priority: optional
Maintainer: Alexander Kulak <sa-dev@rainbow.by>
Build-Depends: debhelper (>= 10~),
               libx11-dev,
               libxmu-dev,
               libxft-dev,
               libxrender-dev,
               libpng-dev,
               uthash-dev,
               autoconf,
               automake
Standards-Version: 4.1.1.0
Vcs-Git: https://github.com/sagb/alttab.git -b debian/unstable
Vcs-Browser: https://github.com/sagb/alttab/tree/debian/unstable
Homepage: https://sagb.github.io/alttab

Package: alttab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-dejavu-core
Enhances: ratpoison, dwm, xmonad
Description: task switcher for minimalistic WMs or standalone X session
 alttab provides convenient visual interface and switching on releasing
 Alt, not on pressing Tab key. Being lightweight and depending only on
 basic X11 libs, it still features customizable look and behaviour.

=== debian/rules ===
#!/usr/bin/make -f

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')

%:
	dh $@

# alttab: allow this hook when upstream will prepare something
# important in bootstrap.sh, besides of autotools and man page.
#override_dh_autoreconf:
#	dh_autoreconf ./bootstrap.sh -f

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

## alttab 1.2.0

=== debian/changelog ===
alttab (1.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Kulak <sa-dev@rainbow.by>  Thu,  1 Mar 2018 11:06:45 +0300

=== debian/control ===
Source: alttab
Section: x11
Priority: optional
Maintainer: Alexander Kulak <sa-dev@rainbow.by>
Build-Depends: debhelper (>= 11~),
               libx11-dev,
               libxmu-dev,
               libxft-dev,
               libxrender-dev,
               libpng-dev,
               uthash-dev,
               autoconf,
               automake
Standards-Version: 4.1.3
Vcs-Git: https://github.com/sagb/alttab.git -b debian/unstable
Vcs-Browser: https://github.com/sagb/alttab/tree/debian/unstable
Homepage: https://sagb.github.io/alttab

Package: alttab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fonts-dejavu-core
Enhances: jwm, twm, evilwm, ratpoison, fluxbox, matchbox, blackbox,
 cwm, wm2, aewm, ctwm, lwm, sawfish, awesome
Description: task switcher for minimalistic WMs or standalone X session
 alttab provides convenient visual interface and switching on releasing
 Alt, not on pressing Tab key. Being lightweight and depending only on
 basic X11 libs, it still features customizable look and behaviour.

## alttab 1.3.0

=== test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Stub for possible future test facility.
 #
-# Copyright 2017 Alexander Kulak.
+# Copyright 2017-2018 Alexander Kulak.
 # This file is part of alttab program.
 #
 # alttab is free software: you can redistribute it and/or modify

=== debian/changelog ===
alttab (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards to current
  * Delete deprecated get-orig-source target
  * Add bindnow hardening
  * Add upstream metadata

 -- Alexander Kulak <sa-dev@rainbow.by>  Thu, 12 Apr 2018 11:00:00 +0300

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
                libxmu-dev,
                libxft-dev,
                libxrender-dev,
+               libxrandr-dev,
                libpng-dev,
                uthash-dev,
                autoconf,
                automake
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://github.com/sagb/alttab.git -b debian/unstable
 Vcs-Browser: https://github.com/sagb/alttab/tree/debian/unstable
 Homepage: https://sagb.github.io/alttab
@@ -21,7 +22,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: fonts-dejavu-core
 Enhances: jwm, twm, evilwm, ratpoison, fluxbox, matchbox, blackbox,
- cwm, wm2, aewm, ctwm, lwm, sawfish, awesome
+ cwm, wm2, aewm, ctwm, lwm, sawfish, awesome, i3-wm
 Description: task switcher for minimalistic WMs or standalone X session
  alttab provides convenient visual interface and switching on releasing
  Alt, not on pressing Tab key. Being lightweight and depending only on

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# alttab: allow this hook when upstream will prepare something
# important in bootstrap.sh, besides of autotools and man page.
#override_dh_autoreconf:
#	dh_autoreconf ./bootstrap.sh -f

## alttab 1.4.0

=== debian/changelog ===
alttab (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * Bump debhelper compat to 12
  * Change maintainer email address

 -- Alexander Kulak <sa-dev@odd.systems>  Wed,  1 May 2019 20:47:47 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: alttab
 Section: x11
 Priority: optional
-Maintainer: Alexander Kulak <sa-dev@rainbow.by>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Alexander Kulak <sa-dev@odd.systems>
+Build-Depends: debhelper (>= 12~),
                libx11-dev,
                libxmu-dev,
                libxft-dev,
@@ -12,7 +12,7 @@
                uthash-dev,
                autoconf,
                automake
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://github.com/sagb/alttab.git -b debian/unstable
 Vcs-Browser: https://github.com/sagb/alttab/tree/debian/unstable
 Homepage: https://sagb.github.io/alttab

## alttab 1.5.0

=== test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Stub for possible future test facility.
 #
-# Copyright 2017-2018 Alexander Kulak.
+# Copyright 2017-2019 Alexander Kulak.
 # This file is part of alttab program.
 #
 # alttab is free software: you can redistribute it and/or modify

=== debian/changelog ===
alttab (1.5.0-2) unstable; urgency=medium

  * New maintainer. Closes: #989842
  * Point Vcs-Git and Vcs-Browser to the new salsa/debian repository.
  * Add the strncpy patch to fix some buffer overflows. Closes: #964357

 -- Peter Pentchev <roam@debian.org>  Sun, 27 Jun 2021 16:57:21 +0300

alttab (1.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Alexander Kulak <sa-dev@odd.systems>  Thu, 23 Jul 2020 12:19:05 +0300

alttab (1.4.0-2) UNRELEASED; urgency=medium

  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Tue, 28 Apr 2020 14:41:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: alttab
 Section: x11
 Priority: optional
-Maintainer: Alexander Kulak <sa-dev@odd.systems>
-Build-Depends: debhelper (>= 12~),
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                libxmu-dev,
                libxft-dev,
                libxrender-dev,
                libxrandr-dev,
                libpng-dev,
+               libxpm-dev,
                uthash-dev,
                autoconf,
                automake
-Standards-Version: 4.3.0
-Vcs-Git: https://github.com/sagb/alttab.git -b debian/unstable
-Vcs-Browser: https://github.com/sagb/alttab/tree/debian/unstable
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/alttab.git
+Vcs-Browser: https://salsa.debian.org/debian/alttab
 Homepage: https://sagb.github.io/alttab
+Rules-Requires-Root: no
 
 Package: alttab
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 # important in bootstrap.sh, besides of autotools and man page.
 #override_dh_autoreconf:
 #	dh_autoreconf ./bootstrap.sh -f
-

=== debian/watch ===
version=3
opts=filenamemangle=s%(?:.*?)?v?(\d+\.\d+\.\d+)\.tar\.gz%alttab-$1.tar.gz%,pgpsigurlmangle=s%^.*/v?(\d+\.\d+\.\d+)\.tar\.gz$%https://sagb.github.io/alttab/alttab-$1.tar.gz.asc% \
https://github.com/sagb/alttab/tags (?:.*?/)?v?(\d+\.\d+\.\d+)\.tar\.gz

## alttab 1.6.1

=== debian/changelog ===
alttab (1.6.1-1) unstable; urgency=medium

  * Rebuild the manual page from the ronn source.
  * Convert the watch file to version 4 of the format and use the new
    substitution variables.
  * Add a trivial git-buildpackage config file.
  * New upstream version:
    - drop the strncpy patch, it was taken from upstream
    - update the upstream copyright years
  * Add my debian/* copyright notice.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Explicitly build-depend on dh-sequence-single-binary.
  * Add the cppcheck patch to fix some minor issues.
  * Add the typos patch to fix some typographical errors.
  * Add the window-name patch to fix an emptiness check.
  * Tweak the upstream test suite a bit:
    - add the test-tweaks patch to block it from installing any packages
      or running any commands as root via 'sudo'
    - run it during the package build
    - run it as an autopkgtest

 -- Peter Pentchev <roam@debian.org>  Fri, 12 Aug 2022 01:44:49 +0300

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-single-binary,
                libx11-dev,
                libxmu-dev,
                libxft-dev,
@@ -12,8 +13,14 @@
                libxpm-dev,
                uthash-dev,
                autoconf,
-               automake
-Standards-Version: 4.5.0
+               automake,
+               ronn,
+               procps <!nocheck>,
+               xnee <!nocheck>,
+               xvfb <!nocheck>,
+               x11-apps <!nocheck>,
+               x11-utils <!nocheck>,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/alttab.git
 Vcs-Browser: https://salsa.debian.org/debian/alttab
 Homepage: https://sagb.github.io/alttab

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,9 @@
 # important in bootstrap.sh, besides of autotools and man page.
 #override_dh_autoreconf:
 #	dh_autoreconf ./bootstrap.sh -f
+
+execute_before_dh_auto_build:
+	ronn --roff doc/alttab.1.ronn
+
+# override_dh_auto_test:
+#	env ALTTAB="$(CURDIR)/src/alttab" "$(CURDIR)/test/run-in-xvfb.test"

=== debian/tests/control ===
Test-Command: env ALTTAB=alttab test/run-in-xvfb.test
Depends: @, procps, x11-apps, x11-utils, xnee, xvfb
Features: test-name=upstream
Restrictions: allow-stderr

## alttab 1.7.1

=== debian/changelog ===
alttab (1.7.1-4) unstable; urgency=medium

  * Bump the debhelper compat level to 14 with no changes.
  * Let debhelper add some default dependencies automatically.
  * Use debputy's X-Style: black.
  * Add the void-proto patch to fix the build with GCC 15.
    Closes: #1096301
  * Add Salsa CI configuration.
  * Add the years 2024 and 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Tue, 18 Feb 2025 20:07:43 +0200

alttab (1.7.1-3) unstable; urgency=medium

  [ Alexander Kulak ]
  * Satisfy dependency on xdotool for autopkgtest. Closes: #1071856

  [ Peter Pentchev ]
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the test-xvfb-display patch to fix the xdotool invocations.

 -- Peter Pentchev <roam@debian.org>  Fri, 07 Jun 2024 08:57:16 +0300

alttab (1.7.1-2) unstable; urgency=medium

  * Add the test-xdotool upstream patch to use xdotool instead of
    cnee during the functional test.
  * Include dpkg's default.mk for completeness.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root.

 -- Peter Pentchev <roam@debian.org>  Thu, 21 Mar 2024 11:29:43 +0200

alttab (1.7.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice
  * Drop the obsolete aewm package from the Enhances list.
  * New upstream release:
    - drop the typos and window-name patches, integrated upstream
    - add three new minor fixes to the cppcheck patch
    - update the upstream copyright years
  * Use dh-package-notes to record ELF package metadata.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Jul 2023 18:30:09 +0300

=== debian/control ===
Source: alttab
Section: x11
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>> 13.15~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 autoconf,
 automake,
 libpng-dev,
 libx11-dev,
 libxft-dev,
 libxmu-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 procps <!nocheck>,
 ronn,
 uthash-dev,
 x11-apps <!nocheck>,
 x11-utils <!nocheck>,
 xdotool <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.7.0
X-DH-Compat: 14
Vcs-Git: https://salsa.debian.org/debian/alttab.git
Vcs-Browser: https://salsa.debian.org/debian/alttab
Homepage: https://sagb.github.io/alttab
X-Style: black

Package: alttab
Architecture: any
Suggests:
 fonts-dejavu-core,
Enhances:
 awesome,
 blackbox,
 ctwm,
 cwm,
 evilwm,
 fluxbox,
 i3-wm,
 jwm,
 lwm,
 matchbox,
 ratpoison,
 sawfish,
 twm,
 wm2,
Description: task switcher for minimalistic WMs or standalone X session
 alttab provides convenient visual interface and switching on releasing
 Alt, not on pressing Tab key. Being lightweight and depending only on
 basic X11 libs, it still features customizable look and behaviour.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: env ALTTAB=alttab test/run-in-xvfb.test
Depends:
 procps,
 x11-apps,
 x11-utils,
 xdotool,
 xvfb,
 @,
Features:
 test-name=upstream,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,pgpsigurlmangle=s%^.*/v?@ANY_VERSION@(@ARCHIVE_EXT@)$%https://sagb.github.io/@PACKAGE@/@PACKAGE@-$1$2.asc% \
https://github.com/sagb/@PACKAGE@/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
